﻿using DTO;
using Model;

namespace Api_lol.Factories
{
    public static class FactoSkins
    {
        public static DtoSkins ModelToDto(this Skin skin)
        {
            DtoSkins dto = new DtoSkins();

            dto.name = skin.Name;
            dto.description = skin.Description;
            dto.price = skin.Price;
            dto.icon = skin.Icon;

            return dto;
        }

        public static Skin DtoToModel(this DtoSkins skinDto,Champion champ) 
        {
            return new Skin(skinDto.name, champ);
        }
    }
}
